---
lang: en
title: 'API docs: repository.filterbuilder._constructor_'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.filterbuilder._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [FilterBuilder](./repository.filterbuilder.md) &gt; [(constructor)](./repository.filterbuilder._constructor_.md)

## FilterBuilder.(constructor)

Constructs a new instance of the `FilterBuilder` class

<b>Signature:</b>

```typescript
constructor(f?: Filter<MT>);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  f | <code>Filter&lt;MT&gt;</code> |  |


